| GET | /RestApi/sitefinity/data-intelligence/settings |
|---|
import java.math.*
import java.util.*
import net.servicestack.client.*
open class DECSettingsRequestDto
{
}
open class DECSettingsDto
{
var IsDecEnabled:Boolean? = null
var AccessKeyStrategyUsed:Boolean? = null
var AuthorizationHeader:String? = null
var ApiServerUrl:String? = null
var DecAppUrl:String? = null
var DataCenterApiKey:String? = null
var LicenseType:String? = null
var DecAdminBackendPageUrl:String? = null
var ContentAnalyticsApiKeys:ArrayList<String> = ArrayList<String>()
}
Kotlin DECSettingsRequestDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
IsDecEnabled: False,
AccessKeyStrategyUsed: False,
AuthorizationHeader: String,
ApiServerUrl: String,
DecAppUrl: String,
DataCenterApiKey: String,
LicenseType: String,
DecAdminBackendPageUrl: String,
ContentAnalyticsApiKeys:
[
String
]
}